name: Build BAB Application Deployment Artifact
run-name: ${{ gitea.actor }} is building a BAB App artifact 🚀
on:
  push:
    branches:
      - main
      - alpha

jobs:
  build:
    env:
      RUNNER_TOOL_CACHE: /toolcache
    runs-on: ubuntu-18.04
    steps:
      - name: Checkout
        uses: actions/checkout@v2
      - name: Setup Node
        uses: actions/setup-node@v2
        with:
          node-version: '20.x'
      - name: Install yarn
        run: npm install --global yarn
      - name: Install yarn dependencies
        run: yarn install
      - name: Install Quasar CLI
        run: yarn global add @quasar/cli
      - name: Temporary - Invoke custom qcalendar build
        run: quasar ext invoke @quasar/qcalendar
      - name: Create env file
        run: |
          echo "${{ vars.ENV_FILE }}" > .env.local
      - name: Show env file
        run: |
          /bin/cat .env.local
      - name: Build and Release
        id: build
        run: |
          npx semantic-release
        env:
          GITEA_TOKEN: ${{ secrets.GT_TOKEN }}
          GITEA_URL: ${{ vars.GT_URL }}
      - name: Trigger Ansible Deploy Playbook
        uses: https://github.com/distributhor/workflow-webhook@v3
        with:
          webhook_url: ${{ vars.WEBHOOK_URL }}
          verbose: true
          data: '{ "artifact_url": "${{ gitea.server_url }}/${{ gitea.repository }}/releases/download/${{ steps.build.outputs.VERSION }}/release-${{ steps.build.outputs.VERSION }}.tar.gz" }'
